package ebaiapi

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"
)

func TestOrderGet(t *testing.T) {
	result, err := api.OrderGet("5034788341689687660")
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(result, false))
	}
}

func TestOrderGet2(t *testing.T) {
	result, err := api.OrderGet2("2147234624018417846")
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(result, false))
	}
}

func TestOrderStatusGet(t *testing.T) {
	result, err := api.OrderStatusGet("1576493808229489038")
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(result, false))
	}
}
func TestOrderList(t *testing.T) {
	result, err := api.OrderList("300104", 32267046052, utils.Str2Time("2022-08-22").Unix(), utils.Str2Time("2022-09-08").Unix(), 0, 1)
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(result, false))
	}
}

func TestOrderListAll(t *testing.T) {
	result, err := api.OrderListAll("", 32267046052, utils.Str2Time("2022-09-01").Unix(), utils.Str2Time("2022-09-08").Unix(), 0)
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(result, false))
	}
}

func TestOrderPartRefundGet(t *testing.T) {
	result, err := api.OrderPartRefundGet("115082650031169457")
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(result, false))
	}
}

// func TestOrderPartRefundGet2(t *testing.T) {
// 	result, err := api.OrderPartRefundGet2("1557459492221457830")
// 	if err != nil {
// 		t.Fatal(err)
// 	} else {
// 		t.Log(utils.Format4Output(result, false))image/upload
// 	}
// }

func TestOrderConfirm(t *testing.T) {
	err := api.OrderConfirm("1556617836226053651")
	if err != nil {
		t.Fatal(err)
	}
}

func TestOrderPickComplete(t *testing.T) {
	err := api.OrderPickComplete("1574402460228210814")
	if err != nil {
		t.Fatal(err)
	}
}

func TestOrderCallDelivery(t *testing.T) {
	err := api.OrderCallDelivery("1556617836226053651")
	if err != nil {
		t.Fatal(err)
	}
}

func TestOrderSwitchselfdelivery(t *testing.T) {
	err := api.OrderSwitchselfdelivery("1574550169196474502")
	if err != nil {
		t.Fatal(err)
	}
}

func TestOrderComplete(t *testing.T) {
	err := api.OrderComplete("1555731848221773250", "")
	if err != nil {
		t.Fatal(err)
	}
}

func TestOrderPrivateInfo(t *testing.T) {
	_, err := api.OrderPrivateInfo("1542178206811884")
	if err != nil {
		t.Fatal(err)
	}
	// t.Log(result)
}

func TestOrderDeliveryGet(t *testing.T) {
	result, err := api.OrderDeliveryGet("1574550169196474502")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(result)
}

func TestSmartOrderIdConvert(t *testing.T) {
	result, err := api.SmartOrderIdConvert("3035779376398878822")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(result)
}

func TestOrderPartRefund(t *testing.T) {
	err := api.OrderPartRefund("3035779376398878822", []*RefundSku{
		&RefundSku{
			CustomeSkuID: "",
			Number:       "1",
		},
	})
	if err != nil {
		t.Fatal(err)
	}
}

func TestOrderCancel(t *testing.T) {
	err := api.OrderCancel("2122788271803194389", CancelTypeCustom, "admin")
	if err != nil {
		t.Fatal(err)
	}
}

func TestOrderQueryAcceptancecode(t *testing.T) {
	err := api.OrderQueryAcceptancecode("5021871103848829132")
	if err != nil {
		t.Fatal(err)
	}
}

func TestAPI_OrderselfDeliveryStateSync(t *testing.T) {
	err := api.OrderselfDeliveryStateSync("4457139638483820157", "199999999999")
	if err != nil {
		t.Fatal(err)
	}
}
func TestAggrent(t *testing.T) {
	err := api.OrderAgreeReturnGoods("4648176604190697145", "1483635799404794")
	if err != nil {
		t.Fatal(err)
	}
}
